write_one_page
Prev | More Memory Management Functions | Next

## Name

write_one_page — write out a single page and optionally wait on I/O

## Synopsis

`int write_one_page (` | struct page * | page,
| int | wait`)`;

## Arguments

`page`

  the page to write

`wait`

  if true, wait on writeout

## Description

The page must be locked by the caller and will be unlocked upon return.

`write_one_page` returns a negative error code if I/O failed.

Prev | Up | Next
generic_writepages | Home | truncate_inode_pages_range